export const arrangeActAssert = `
<h1>ARRANGE-ACT-ASSERT</h1>
<p style="width: 70%;">
Organize your code in a way that clearly conveys the 3 A's of each
unit test. One way to accomplish this is by Arranging and Acting in
before blocks and Asserting in it ones.
</p>

<h3>Why?</h3>
<ul>
    <li>The AAA unit test pattern is well known and recommended</li>
    <li>Improves unit test modularity and creates opportunities to DRY things up</li>
</ul>

<div style="background-color:#444; color:#fff; padding: 16px; position: relative; width: 50%; ">
    <pre>
// Yep
describe('Array.prototype', function() {{'{'}}
    describe('.push(x)', function() {{'{'}}
      var initialArray;

      beforeEach(function() {{'{'}}
        initialArray = [1]; // Arrange

        initialArray.push(2); // Act
      {{'}'}});

      it('appends x to the end of the Array', function() {{'{'}}
        expect(initialArray).toEqual([1, 2]); // Assert
      {{'}'}});
    {{'}'}});
  {{'}'}});

// Nope
describe('Array.prototype', function() {{'{'}}
    describe('.push(x)', function() {{'{'}}
      it('appends x to the end of the Array', function() {{'{'}}
        var initialArray = [1];
        initialArray.push(2);
        expect(initialArray).toEqual([1, 2]);
      {{'}'}});
    {{'}'}});
  {{'}'}});
    </pre>
</div>
`;
